Skip to main content
POST
/
datasets
/
{dataset_id}
/
documents
/
{document_id}
/
update-by-text
用文本更新文档
curl --request POST \
  --url https://{api_base_url}/datasets/{dataset_id}/documents/{document_id}/update-by-text \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "text": "<string>",
  "doc_form": "text_model",
  "doc_language": "English"
}
'
import requests

url = "https://{api_base_url}/datasets/{dataset_id}/documents/{document_id}/update-by-text"

payload = {
"name": "<string>",
"text": "<string>",
"doc_form": "text_model",
"doc_language": "English"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
text: '<string>',
doc_form: 'text_model',
doc_language: 'English'
})
};

fetch('https://{api_base_url}/datasets/{dataset_id}/documents/{document_id}/update-by-text', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "document": {
    "id": "a8e0e5b5-78c6-4130-a5ce-25feb0e0b4ac",
    "position": 1,
    "data_source_type": "upload_file",
    "data_source_info": {
      "upload_file_id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890"
    },
    "data_source_detail_dict": {
      "upload_file": {
        "id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
        "name": "guide.txt",
        "size": 2048,
        "extension": "txt",
        "mime_type": "text/plain",
        "created_by": "ad313dd6-ef04-4dd1-a5b0-c0f0b9e2e7e4",
        "created_at": 1741267200
      }
    },
    "dataset_process_rule_id": "e1f2a3b4-c5d6-7890-ef12-345678901234",
    "name": "guide.txt",
    "created_from": "api",
    "created_by": "ad313dd6-ef04-4dd1-a5b0-c0f0b9e2e7e4",
    "created_at": 1741267200,
    "tokens": 512,
    "indexing_status": "completed",
    "error": null,
    "enabled": true,
    "disabled_at": null,
    "disabled_by": null,
    "archived": false,
    "display_status": "available",
    "word_count": 350,
    "hit_count": 0,
    "doc_form": "text_model",
    "doc_metadata": [],
    "summary_index_status": null,
    "need_summary": false
  },
  "batch": "20250306150245647595"
}

Authorizations

Authorization
string
header
required

API Key 认证。对于所有 API 请求,请在 Authorization HTTP 头中包含您的 API Key,并加上 Bearer 前缀。示例:Authorization: Bearer {API_KEY}强烈建议将 API Key 存储在服务端,不要在客户端共享或存储,以避免 API Key 泄漏导致严重后果。缺少或无效的 API Key 会返回 HTTP 401,错误码为 unauthorized

Path Parameters

dataset_id
string<uuid>
required

知识库 ID。

document_id
string<uuid>
required

文档 ID.

Body

application/json
name
string

文档名称。当提供 text 时必填。

text
string

文档文本内容。

process_rule
object

分块处理规则。

doc_form
enum<string>
default:text_model

text_model 为标准文本分段,hierarchical_model 为父子分段结构,qa_model 为问答对提取。

Available options:
text_model,
hierarchical_model,
qa_model
doc_language
string
default:English

用于处理优化的文档语言。

retrieval_model
object

检索模型配置。控制查询此知识库时如何搜索和排序分段。

Response

文档更新成功。

document
object
batch
string

用于跟踪索引进度的批次 ID。

Last modified on July 9, 2026